Summary:	Scripts for managing .spec files and building RPM packages
Summary(de.UTF-8):	Scripts fürs Bauen binärer RPM-Pakete
Summary(pl.UTF-8):	Skrypty pomocnicze do zarządznia plikami .spec i budowania RPM-ów
Summary(pt_BR.UTF-8):	Scripts e programas executáveis usados para construir pacotes
Summary(ru.UTF-8):	Скрипты и утилиты, необходимые для сборки пакетов
Summary(uk.UTF-8):	Скрипти та утиліти, необхідні для побудови пакетів
Name:		rpm-build-tools
Version:	4.10
Release:	2
License:	GPL
Group:		Applications/File
Source0:	builder.sh
Source1:	shrc.sh
Source2:	bash-prompt.sh
Source3:	dropin
Source4:	relup.sh
Source5:	sort-pkgs
Source6:	check-shebang.py
Source7:	rediff-patches.py
BuildRequires:	sed >= 4.0
Requires:	gawk >= 3.1.7
Requires:	git-core >= 1.7
Requires:	grep
Requires:	less
Requires:	openssh-clients
Requires:	perl-base
Requires:	python3
Requires:	python3
Requires:	python3-modules
Requires:	python3-rpm
Requires:	rpm-build
Requires:	rpmbuild(macros) >= 1.651
Requires:	sed >= 4.0
Requires:	time
Requires:	util-linux
Requires:	wget
Suggests:	adapter
Suggests:	pldnotify
Suggests:	rpm-specdump >= 0.3
Suggests:	schedtool
Suggests:	vim-syntax-spec
Conflicts:	mktemp < 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
Scripts for managing .spec files and building RPM packages.

%description -l de.UTF-8
Scripts fürs Bauen RPM-Pakete.

%description -l pl.UTF-8
Skrypty pomocnicze do zarządzania plikami .spec i do budowania RPM-ów.

%description -l pt_BR.UTF-8
Este pacote contém scripts e programas executáveis que são usados para
construir pacotes usando o RPM.

%description -l ru.UTF-8
Различные вспомогательные скрипты и исполняемые программы, которые
используются для сборки RPM'ов.

%description -l uk.UTF-8
Різноманітні допоміжні скрипти та утиліти, які використовуються для
побудови RPM'ів.

%prep
%setup -qcT
cp -p %{SOURCE0} .

%{__sed} -i -e '/^VERSION=/s,\([^/]\+\)/.*",\1-RELEASE",' builder.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},/etc/shrc.d}
install -p builder.sh $RPM_BUILD_ROOT%{_bindir}/builder
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/shrc.d/rpm-build.sh
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_libdir}/bash-prompt.sh

install -p %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}/relup
install -p %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/sort-pkgs
install -p %{SOURCE6} $RPM_BUILD_ROOT%{_bindir}/check-shebang
install -p %{SOURCE7} $RPM_BUILD_ROOT%{_bindir}/rediff-patches

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/builder
%attr(755,root,root) %{_bindir}/check-shebang
%attr(755,root,root) %{_bindir}/dropin
%attr(755,root,root) %{_bindir}/rediff-patches
%attr(755,root,root) %{_bindir}/relup
%attr(755,root,root) %{_bindir}/sort-pkgs
%config(noreplace) %verify(not md5 mtime size) /etc/shrc.d/rpm-build.sh
%{_libdir}/bash-prompt.sh
%changelog
* Thu Nov 25 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-build-tools.git;a=log;h=master

* Thu Nov 25 2021 Jan Rękorajski <baggins@pld-linux.org> de49236
- Release 2 (by relup.sh)

* Sun Oct 03 2021 Jan Rękorajski <baggins@pld-linux.org> 8829b22
- Add awk to shebangs that need fixing

* Tue Sep 21 2021 Jan Palus <atler@pld-linux.org> ad56bb4
- builder: use sudo only if not root already

* Tue Aug 17 2021 Jan Palus <atler@pld-linux.org> 5d9caf4
- builder: when using rpmspec don't remove runtime conflicts but buildtime conflicts

* Wed Jun 16 2021 Jan Palus <atler@pld-linux.org> 6c0815a
- do db-devel replacement on exact match only

* Thu May 13 2021 Jan Rękorajski <baggins@pld-linux.org> 1fd8595
- 4.10, package more tools

* Thu May 13 2021 Jan Rękorajski <baggins@pld-linux.org> e993db8
- sort patches

* Tue May 11 2021 Adam Gołębiowski <adamg@pld-linux.org> 61dcea4
- bump copyright year

* Tue May 11 2021 Adam Gołębiowski <adamg@pld-linux.org> 9439a21
- add support for rpmspec tool for fetching buidlrequires/conflict

* Thu Apr 08 2021 Paweł Zuzelski <pawelz@execve.pl> 792039e
- When tripping over a GIT_ var, give a useful error

* Thu Apr 08 2021 Paweł Zuzelski <pawelz@execve.pl> b7a1be2
- unset GIT_EDITOR together with other GIT_* vars

* Tue Mar 30 2021 Jan Palus <atler@pld-linux.org> 09ed613
- on -j define __jobs instead of _smp_mflags

* Sun Mar 14 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 43ad78f
- Fallback to /tmp.

* Sat Mar 06 2021 Elan Ruusamäe <glen@pld-linux.org> 357c6ac
- Update commit message style to Git not CVS

* Sat Mar 06 2021 Elan Ruusamäe <glen@pld-linux.org> 45baae4
- relup: use bash for bashism

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c36d18
- Be sure that we got any comment actually.

* Thu Mar 04 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 3cc64e8
- Keep comments at beginning of the patch.

* Mon Mar 01 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> dc57a96
- Check certificate by default. Override locally.

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> efec12a
- Use rpm-specdump if it exists, rpm.org rpm can't do 'rpm dump %prep'

* Wed Feb 24 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cae170
- Ability to skip patches.

